// reading atmospheric pressure sensor BMP85
// CAUTION: Vcc = 3V3 !!!!
// I2C Interface

#include <Wire.h>
#include <Adafruit_BMP085.h>
// https://www.adafruit.com/products/391

Adafruit_BMP085 bmp;

void setup() 
{ Serial.begin(115200);
  while (!Serial) {}
  Serial.println(F("Init I2C"));
  // Initialisierung des Sensors
  if (!bmp.begin()) 
  { Serial.println("No BMP085 sensor found!");
    while (1) {}
  }
}

void loop() 
{ Serial.print(bmp.readTemperature());
  Serial.print((bmp.readPressure()/100.0));
  delay(1000);
}
