// read LM75 temperature sensors via I2C-Bus

#include <Wire.h>
// #include <LiquidCrystal_I2C.h>
// LiquidCrystal_I2C lcd(0x27,16,2);  // LCD address 0x27 

#define LM75_1 0b1001000   // LM75 #I 7-bit adresse
#define LM75_2 0b1001011   // LM75 #II 7-bit adresse
// #define LM75_3 0b1001010   // LM75 #III 7-bit adresse

void setup()
{ // lcd.begin();      // initialize lcd
  // lcd.backlight();  // LCD backlight on
  Wire.begin();
  Serial.begin(9600);
  Serial.println("LM75 IIC-Bus Temperatursensoren");
}

void loop()
{   byte msb_1,lsb_1=0;
    byte msb_2,lsb_2=0;
    // byte msb_3,lsb_3=0;
    float Degrees_1=0;
    float Degrees_2=0;
    // float Degrees_3=0;

    // read LM75_1    
    Wire.beginTransmission(LM75_1);
    Wire.write((byte)0x00);
    Wire.endTransmission();
  
    Wire.requestFrom(LM75_1, 2);       
    while(Wire.available() < 2);     
    msb_1 = Wire.read();     
    lsb_1 = Wire.read();

    if(msb_1 < 0x80)
    { Degrees_1=((msb_1*10)+(((lsb_1&0x80)>>7)*5));
    }
    else
    { Degrees_1=((msb_1*10)+(((lsb_1&0x80)>>7)*5));
      Degrees_1=-(2555.0-Degrees_1);
    }
    Degrees_1=Degrees_1/10;

    // read LM75_2    
    Wire.beginTransmission(LM75_2);
    Wire.write((byte)0x00);
    Wire.endTransmission();
  
    Wire.requestFrom(LM75_2, 2);       
    while(Wire.available() < 2);     
    msb_2 = Wire.read();     
    lsb_2 = Wire.read();

    if(msb_2 < 0x80)
    { Degrees_2=((msb_2*10)+(((lsb_2&0x80)>>7)*5));
    }
    else
    { Degrees_2=((msb_2*10)+(((lsb_2&0x80)>>7)*5));
      Degrees_2=-(2555.0-Degrees_2);
    }
    Degrees_2=Degrees_2/10;

    /*
    // read LM75_3    
    Wire.beginTransmission(LM75_3);
    Wire.write((byte)0x00);
    Wire.endTransmission();
  
    Wire.requestFrom(LM75_3, 2);       
    while(Wire.available() < 2);     
    msb_3 = Wire.read();     
    lsb_3 = Wire.read();

    if(msb_3 < 0x80)
    { Degrees_3=((msb_3*10)+(((lsb_3&0x80)>>7)*5));
    }
    else
    { Degrees_3=((msb_3*10)+(((lsb_3&0x80)>>7)*5));
      Degrees_3=-(2555.0-Degrees_3);
    }
    Degrees_3=Degrees_3/10;

    Serial.print(Degrees_1); Serial.print(",");
    Serial.print(Degrees_2); Serial.print(",");
    Serial.println(Degrees_3);
    
    // delay(100);
    */
    
    /*
    Serial.print(Degrees_1); Serial.println(" Degrees @ Sensor I");
    Serial.print(Degrees_2); Serial.println(" Degrees @ Sensor II");
    Serial.print(Degrees_3); Serial.println(" Degrees @ Sensor III");
    Serial.println("");
    delay(100);
    */
    
    /* lcd.setCursor(0, 0); lcd.print("A:"); lcd.print(Degrees_1,1); lcd.print("C"); //print unit" ℃ "

    lcd.setCursor(8, 0); lcd.print("B:"); lcd.print(Degrees_2,1); lcd.print("C"); //print unit" ℃ "

    lcd.setCursor(0, 1); lcd.print("C:"); lcd.print(Degrees_3,1); lcd.print("C"); //print unit" ℃ "

    lcd.setCursor(8, 1); lcd.print("D:"); lcd.print("--.-"); lcd.print("C"); //print unit" ℃ "

    */

    Serial.println(Degrees_1,1);
    Serial.println(Degrees_2,1);
    delay(1000);    
}






